
From: Andi Kleen <ak@muc.de>

 
Remove some dead code.

CONFIG_SSE2 hasn't been defined for some time, because everything
SSE related is handled at runtime based on cpuid.



 25-akpm/include/asm-i386/bugs.h |    5 -----
 1 files changed, 5 deletions(-)

diff -puN include/asm-i386/bugs.h~remove-dead-sse-checks include/asm-i386/bugs.h
--- 25/include/asm-i386/bugs.h~remove-dead-sse-checks	Fri Aug 29 10:36:33 2003
+++ 25-akpm/include/asm-i386/bugs.h	Fri Aug 29 10:36:33 2003
@@ -206,11 +206,6 @@ static void __init check_config(void)
 	    && (boot_cpu_data.x86_mask < 6 || boot_cpu_data.x86_mask == 11))
 		panic("Kernel compiled for PMMX+, assumes a local APIC without the read-before-write bug!");
 #endif
-
-#ifdef CONFIG_X86_SSE2
-	if (!cpu_has_sse2)
-		panic("Kernel compiled for SSE2, CPU doesn't have it.");
-#endif
 }
 
 extern void alternative_instructions(void);

_
